VME Intensity Monitor - Feature #10751
Milestone # 10928 (Closed): Support for new MI/RR/BNB digitizer firmware

New MI-RR-BNB Toroid Driver
11/03/2015 01:57 PM - Roger Tokarek

Status: Closed Start date: 11/03/2015
Priority: High Due date: 11/12/2015
Assignee: Roger Tokarek % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.50 hours
Description

Create a new driver MirrTorDrv to separate functionality between the PXIE toroids (torDrvBBB) and the MI-RR-BNB Toroids. While
the register maps, BBB07 (PXIE) and BBB09 (MI-RR-BNB) remain similar, the startup requirements for the PXIE and MI systems
have changed. In addition where the getintensity() method in torDrvBBB directly returns the intensity register, MirrTorDrv now
scales the register data according to the gain.

e Skeleton code getintensity() can be implemented now in preparation for scale vs. gain algorithm.
¢ Command line support is required, addAdc...(), addToroid...().
¢ Confirm command line get and set registers working.

Subtasks:

Task # 10753: 10751 [1] Rename torDrvBBB to PxieTorDrv Closed
Task # 10754: 10751-2 Create MirrTorDrv Driver Closed
Task # 10756: 10751 [3] Provide Command Line Support for MirrTorDrv Closed
Task # 10757: 10751 [4] Confirm Command Line get and set Closed
Task # 10788: 19751 [5] Correct all startup scripts Closed
Meeting # 10789: 10751 [0] Plan implementation of getintensity(), return int or float Closed
Task # 10914: Add Pulse Only Integration & Baseline Integration to MirrDrvTor Closed
History

#1 - 11/03/2015 02:05 PM - Roger Tokarek
Create git branch 10751-MirrTorDrv

#2 - 11/03/2015 03:01 PM - Roger Tokarek

Create sub-projects for the following steps:

1. Rename all torDrvBBB to PxieTorDrv.

2. Skeleton code for getintensity() can be implemented at this time in preparation for scale vs. gain algorithm.
3. Command line support is required, addAdc...(), addToroid...().

4. Confirm command line get and set registers work with the new driver.

#3 - 11/12/2015 07:14 PM - John Diamond
- Parent task set to #10928

#4 - 08/02/2016 02:59 PM - Roger Tokarek

- Status changed from New to Closed
